# Passenger::DummySpawnManager Class Reference
[Apache-independent support classes and function]

`#include <DummySpawnManager.h>`

List of all members.

## Detailed Description

A dummy SpawnManager replacement for testing/debugging purposes.

This class implements a dummy spawn manager, and is 100% interface-compatible with SpawnManager. This spawn manager will spawn `benchmark/DummyRequestHandler`, which is probably the fastest possible implementation of a request handler. The purpose of this class to benchmark the performance of the Apache module (i.e. not benchmarking the Ruby request handler or Rails itself).

This header file is not used by default. Define the macro `PASSENGER_USE_DUMMY_SPAWN_MANAGER` to make ApplicationPool use DummySpawnManager instead of SpawnManager.

Of course, don't forget to compile benchmark/DummyRequestHandler!

The documentation for this class was generated from the following file:

- DummySpawnManager.h